package com.tzld.piaoquan.recommend.server.client;

import java.util.List;
import java.util.Map;

/**
 * @author dyp
 */
@Deprecated
public class RecommendHttpRequest {
    private String requestId;
    private String mid;
    private String uid;
    private int size;
    private int appType;
    private String cityCode;
    private String provinceCode;
    private List<String> abExpCodes;
    private Map<String, String> eventIdMap;
    private int versionAuditStatus;
    private String recommendTraceId;
    private long videoId;

    public String getRequestId() {
        return requestId;
    }

    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }

    public String getMid() {
        return mid;
    }

    public void setMid(String mid) {
        this.mid = mid;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        this.size = size;
    }

    public int getAppType() {
        return appType;
    }

    public void setAppType(int appType) {
        this.appType = appType;
    }

    public String getCityCode() {
        return cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public String getProvinceCode() {
        return provinceCode;
    }

    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

    public List<String> getAbExpCodes() {
        return abExpCodes;
    }

    public void setAbExpCodes(List<String> abExpCodes) {
        this.abExpCodes = abExpCodes;
    }

    public Map<String, String> getEventIdMap() {
        return eventIdMap;
    }

    public void setEventIdMap(Map<String, String> eventIdMap) {
        this.eventIdMap = eventIdMap;
    }

    public int getVersionAuditStatus() {
        return versionAuditStatus;
    }

    public void setVersionAuditStatus(int versionAuditStatus) {
        this.versionAuditStatus = versionAuditStatus;
    }

    public String getRecommendTraceId() {
        return recommendTraceId;
    }

    public void setRecommendTraceId(String recommendTraceId) {
        this.recommendTraceId = recommendTraceId;
    }

    public long getVideoId() {
        return videoId;
    }

    public void setVideoId(long videoId) {
        this.videoId = videoId;
    }

}
